Skip to Content

Get a namespace

Returns one namespace. Request: GET /v1/namespaces/{id}. Scope: organization:read.

GET
/v1/namespaces/{id}

Returns one namespace.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^ns_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

Namespace

application/json
  1. response
id*NamespaceId
Match^ns_[0-9a-hjkmnp-tv-z]{16,24}$
name*string
createdAt*string
metadata*

Your own labels for the namespace, such as the id of your customer it serves. Samva stores them and never reads them.

updatedAt*string
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.namespaces.get({
  "id": "example"
});
Example Response
{
  "id": "string",
  "name": "string",
  "createdAt": "string",
  "metadata": {
    "property1": "string",
    "property2": "string"
  },
  "updatedAt": "string"
}

Related documentation